@import "preact-material-components/Chips/mdc-chips.scss";

:global(.mdc-chip__text--link) {
    @extend .mdc-chip__text;

    @include mdc-ripple-surface;
    @include mdc-ripple-radius-bounded;
    @include mdc-chip-corner-radius($mdc-chip-border-radius-default);
    //@include mdc-chip-fill-color($mdc-chip-fill-color-default);
    @include mdc-chip-ink-color($mdc-chip-ink-color-default);
    @include mdc-chip-selected-ink-color(primary);
    @include mdc-chip-leading-icon-color($mdc-chip-icon-color);
    @include mdc-chip-trailing-icon-color($mdc-chip-icon-color);
    @include mdc-chip-leading-icon-size($mdc-chip-leading-icon-size);
    @include mdc-chip-trailing-icon-size($mdc-chip-trailing-icon-size);
    @include mdc-typography(body2);
  
    pointer-events: none;
    cursor: pointer;
    text-decoration: none;

    &:hover {
        @include mdc-theme-prop(color, on-surface);
    }
}
